> ## Documentation Index
> Fetch the complete documentation index at: https://docs.procuros.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Transport Label

> Download the file content of a transport label. Use the value of the `zplUrl` or `pdfUrl` field from the `transportLabel` object of a transport unit (available on Shipping Notice and Dispatch Instruction Response transactions) as the `transportLabelUrl` path parameter, depending on whether you want the raw ZPL or the rendered PDF. The response is the streamed file content for download.



## OpenAPI

````yaml /en/api/v2/openapi-v2.yaml get /v2/transactions/{transportLabelUrl}/download
openapi: 3.0.3
info:
  title: Procuros API
  description: Manage Procuros Transactions.
  version: 2.0.0
servers:
  - url: https://api.procuros.io/
  - url: https://api.procuros-staging.io/
security:
  - api_token: []
paths:
  /v2/transactions/{transportLabelUrl}/download:
    get:
      tags:
        - Transport Labels
      summary: Download Transport Label
      description: >-
        Download the file content of a transport label. Use the value of the
        `zplUrl` or `pdfUrl` field from the `transportLabel` object of a
        transport unit (available on Shipping Notice and Dispatch Instruction
        Response transactions) as the `transportLabelUrl` path parameter,
        depending on whether you want the raw ZPL or the rendered PDF. The
        response is the streamed file content for download.
      operationId: v2_download_transport_label
      parameters:
        - name: transportLabelUrl
          in: path
          required: true
          description: >-
            Value of the `zplUrl` or `pdfUrl` field from the `transportLabel`
            object of a transport unit.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
                description: >-
                  Streamed file content of the transport label, in ZPL or PDF
                  format depending on the URL used.
        4XX:
          description: Client Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
        5XX:
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
components:
  schemas:
    InternalErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  securitySchemes:
    api_token:
      type: http
      scheme: bearer
      description: The API Token of your ERP Connection.

````